GLDEPTHMASK(3G) |  | GLDEPTHMASK(3G)

# NAME

glDepthMask - enable or disable writing into the depth buffer

# C SPECIFICATION

void glDepthMask( GLboolean flag )

# PARAMETERS

flag
  Specifies whether the depth buffer is enabled for writing. If flag is GL_FALSE, depth buffer writing is disabled. Otherwise, it is enabled. Initially, depth buffer writing is enabled.

# DESCRIPTION

glDepthMask specifies whether the depth buffer is enabled for writing. If flag is GL_FALSE, depth buffer writing is disabled. Otherwise, it is enabled. Initially, depth buffer writing is enabled.

# ERRORS

GL_INVALID_OPERATION is generated if glDepthMask is executed between the execution of glBegin and the corresponding execution of glEnd.

# ASSOCIATED GETS

glGet with argument GL_DEPTH_WRITEMASK

# SEE ALSO

glColorMask(3G), glDepthFunc(3G), glDepthRange(3G), glIndexMask(3G), glStencilMask(3G)